org.apache.commons.math3.analysis

## Interface BivariateFunction

- All Known Implementing Classes:
    Add, Atan2, BicubicSplineFunction, BicubicSplineInterpolatingFunction, Divide, Max, Min, Multiply, Pow, Subtract

      public interface BivariateFunction

  An interface representing a bivariate real function.
  Since:
    2.1
  Version:
    $Id: BivariateFunction.java 1364387 2012-07-22 18:14:11Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `value(double x, double y)` Compute the value for the function.

- - ### Method Detail

    - #### value

          double value(double x,
                     double y)

      Compute the value for the function.
      Parameters:
        `x` - Abscissa for which the function value should be computed.
        `y` - Ordinate for which the function value should be computed.
      Returns:
        the value.

Copyright (c) 2003-2013 Apache Software Foundation